part of 'password_bloc.dart';

class PasswordState extends Equatable {
  PasswordState(
      {this.username = '',
      this.password = '',
      this.formState = const PasswordFormInitial(),
      this.passwordVisible = false});

  final String username;
  final String password;
  final PasswordFormState formState;
  final bool passwordVisible;

  bool get isValidPassword => password.isNotEmpty;

  @override
  List<Object> get props => [username, password, formState, passwordVisible];

  PasswordState copyWith(
      {String? username,
      String? password,
      PasswordFormState? formState,
      bool? passwordVisible}) {
    return PasswordState(
        username: username ?? this.username,
        password: password ?? this.password,
        formState: formState ?? this.formState,
        passwordVisible: passwordVisible ?? this.passwordVisible);
  }
}
