import 'package:equatable/equatable.dart';
import '../../../models/models.dart';

abstract class UsernameFormState extends Equatable {
  const UsernameFormState();

  @override
  List<Object> get props => [];
}

class UsernameFormInitial extends UsernameFormState {
  const UsernameFormInitial();
}

class UsernameFormLoadInProgress extends UsernameFormState {}

class UsernameFormLoadSuccess extends UsernameFormState {
  const UsernameFormLoadSuccess(
      {required this.username, required this.tenantLoginSettings});

  final String username;
  final TenantLoginSettings tenantLoginSettings;

  @override
  List<Object> get props => [username, tenantLoginSettings];
}

class UsernameFormLoadFailure extends UsernameFormState {
  UsernameFormLoadFailure(this.exception);

  final Exception exception;
}
