part of './username_bloc.dart';

class UsernameState extends Equatable {
  const UsernameState(
      {this.username = '', this.formState = const UsernameFormInitial()});

  static final RegExp _emailRegExp = RegExp(
    r'^[a-zA-Z0-9.!#$%&’*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$',
  );

  final String username;
  final UsernameFormState formState;

  bool get isValidUsername =>
      username.isNotEmpty && _emailRegExp.hasMatch(username);

  @override
  List<Object> get props => [username, formState];

  UsernameState copyWith({String? username, UsernameFormState? formState}) {
    return UsernameState(
        username: username ?? this.username,
        formState: formState ?? this.formState);
  }
}
