import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:senior_authentication/senior_authentication.dart';
import './bloc/username_bloc.dart';
import './username_form.dart';

class UsernameScreen extends StatelessWidget {
  const UsernameScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      backgroundColor: Colors.white,
      appBar: AppBar(
        iconTheme: const IconThemeData(color: Colors.black87),
        backgroundColor: Colors.white,
        shadowColor: Colors.transparent,
        title: const Text(
          'Entrar com e-mail',
          style: TextStyle(color: Colors.black87),
        ),
      ),
      body: BlocProvider(
        create: (_) => UsernameBloc(
          authenticationRepository: context.read<AuthenticationRepository>(),
        ),
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0),
          child: UsernameForm(),
        ),
      ),
    );
  }
}
