import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:google_fonts/google_fonts.dart';
import '../username/username_screen.dart';

class WelcomeScreen extends StatelessWidget {
  const WelcomeScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Padding(
        padding: const EdgeInsets.symmetric(vertical: 0.0, horizontal: 16.0),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Expanded(
              child: SvgPicture.asset(
                'assets/svgs/senior.svg',
                package: 'senior_authentication',
                color: const Color(0xFF008267),
                width: MediaQuery.of(context).size.width * 0.45,
              ),
            ),
            Column(
              children: [
                ElevatedButton(
                  onPressed: () {
                    //TODO: Criar tela de QR Code
                    ScaffoldMessenger.of(context).showSnackBar(const SnackBar(
                      content: Text('Ainda não implementado!'),
                      duration: Duration(milliseconds: 500),
                    ));
                  },
                  style: ButtonStyle(
                    shape: MaterialStateProperty.all<RoundedRectangleBorder>(
                        RoundedRectangleBorder(
                            borderRadius: BorderRadius.circular(6.0))),
                    backgroundColor: MaterialStateProperty.resolveWith<Color>(
                        (_) => const Color(0xFF008267)),
                  ),
                  child: Container(
                    height: 48,
                    width: double.infinity,
                    alignment: Alignment.center,
                    child: Text(
                      'Entrar com QR Code',
                      style: GoogleFonts.inter(
                        fontSize: 18.0,
                        fontWeight: FontWeight.w700,
                        color: Colors.white,
                      ),
                    ),
                  ),
                ),
                const SizedBox(height: 8),
                TextButton(
                  onPressed: () => {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                        builder: (_) => const UsernameScreen(),
                      ),
                    ),
                  },
                  style: ButtonStyle(
                    padding: MaterialStateProperty.resolveWith(
                        (_) => EdgeInsets.zero),
                    overlayColor: MaterialStateColor.resolveWith(
                        (_) => Colors.transparent),
                  ),
                  child: Container(
                    height: 48,
                    width: double.infinity,
                    alignment: Alignment.center,
                    child: Text(
                      'Entrar com seu e-mail',
                      style: GoogleFonts.inter(
                        fontSize: 18.0,
                        fontWeight: FontWeight.w700,
                        color: const Color(0xFF008267),
                      ),
                    ),
                  ),
                ),
              ],
            ),
            const SizedBox(height: 56),
          ],
        ),
      ),
    );
  }
}
