import 'dart:convert';

import 'package:senior_authentication/src/models/constants/storage_keys.dart';
import 'package:senior_authentication/src/models/user.dart';
import 'package:shared_preferences/shared_preferences.dart';

import '../models/models.dart';

class Storage {
  /* Token */
  static Future<Token> getToken() async {
    var prefs = await SharedPreferences.getInstance();
    var token = prefs.getString(StorageKeys.token);
    return token != null ? Token.fromJson(token) : Token.empty;
  }

  static void saveToken(Token token) async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.setString(StorageKeys.token, token.toJson());
  }

  static void clearToken() async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.remove(StorageKeys.token);
  }

  /* User */
  static void saveLoggedUser(User user) async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.setString(StorageKeys.user, user.toJson().toString());
  }

  static Future<User?> getLoggedUser() async {
    var prefs = await SharedPreferences.getInstance();
    var user = prefs.getString(StorageKeys.user);
    return user != null ? User.fromJson(jsonDecode(user)) : null;
  }

  static void clearLoggedUser() async {
    var prefs = await SharedPreferences.getInstance();
    await prefs.remove(StorageKeys.user);
  }
}
